Bug 58720 - [FILEOPEN] Alignment lost when open particular .doc file
Summary: [FILEOPEN] Alignment lost when open particular .doc file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.6.4.1 rc
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2012-12-24 14:40 UTC by Vladimir
Modified: 2018-09-07 02:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
LibreOffice Writer doesn't open table as like MS Word (29.00 KB, application/msword)
2012-12-24 14:40 UTC, Vladimir
Details
pdf created with LibreOffice using MacOSX (58.45 KB, application/pdf)
2013-01-25 00:21 UTC, Jorendc
Details
pdf created with Word for Mac using Mac OSX (90.60 KB, application/pdf)
2013-01-25 00:22 UTC, Jorendc
Details
EOOS-II.doc (53.00 KB, application/msword)
2013-01-27 13:08 UTC, Vladimir
Details
pdf created with LO4.0rc2 using Linux mint 14 x64 (39.36 KB, application/pdf)
2013-01-27 13:39 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir 2012-12-24 14:40:51 UTC
Created attachment 72079 [details]
LibreOffice Writer doesn't open table as like MS Word

LibreOffice 3.6.4 Writer on Linux Mint14 doesn't open MS Word file with table correctly. You can open attached file by MS Word and do this by LO and you will see the difference. Thanks in advance ! Happy holidays !
Comment 1 Jorendc 2013-01-25 00:21:10 UTC
The only thing I can see is that there should normally be 3 rows at the second page. Opening this file in Word for Mac (using Mac OSX 10.8.2) result in 3 rows at the second page. Opening this file with LO 3.6.4.3 and latest master LO 4.1 will result in '2 rows of the table at the next page'. I'll upload a pdf how it's look like with LibreOffice 3.6.4.3 and a pdf how it's look like using Word for Mac.

Can you please verify this is the issue?
Comment 2 Jorendc 2013-01-25 00:21:33 UTC
Created attachment 73624 [details]
pdf created with LibreOffice using MacOSX
Comment 3 Jorendc 2013-01-25 00:22:10 UTC
Created attachment 73625 [details]
pdf created with Word for Mac using Mac OSX
Comment 4 Vladimir 2013-01-27 13:08:38 UTC
Created attachment 73727 [details]
EOOS-II.doc

 Hi, 
If I open further down attached word file with MS Office 2007 on Win XP no problem.If I do the same with Libre Office 3.5.2 on Win XP - no problem. But when try to open this file with recently Libre Office on Linux Mint 14(Nadia), I see incoppectly formated rows. 
Thakns for helping !





 >-------- Оригинално писмо --------
 >От:  bugzilla-daemon@freedesktop.org
 >Относно: [Bug 58720] table can't be opened correctly like by MS word
 >До: vladi.car@abv.bg
 >Изпратено на: Петък, 2013, Януари 25 02:21:10 EET
 >
 >
 >                   Joren De Cuyper changed              bug 58720        
 >                       
 >            What            Removed            Added          
 >         
 >           CC                          
                      joren.libreoffice@telenet.be                    
 >      
 >                    Comment # 1              on bug 58720              from  Joren De Cuyper        The only thing I can see is that there should normally be 3 rows at the secondpage. Opening this file in Word for Mac (using Mac OSX 10.8.2) result in 3 rowsat the second page. Opening this file with LO 3.6.4.3 and latest master LO 4.1will result in '2 rows of the table at the next page'. I'll upload a pdf howit's look like with LibreOffice 3.6.4.3 and a pdf how it's look like using Wordfor Mac.Can you please verify this is the issue?              
 >            You are receiving this mail because:                      You reported the bug.
Comment 5 Jorendc 2013-01-27 13:39:16 UTC
Thanks for your fast answer.

I now can see what you mean with the the lost formatting.

I'll attach a pdf I created with LibreOffice 4.0.0.2 rc2. There you can indeed conclude that it is a linux only problem so far.

Behavior: the 'y' and '160' is in LO 4.0 and Word for Mac using Mac OSX 10.8.2 placed at left and right of the table cell. When I open this using LO 4.0.0.2 rc2 using Linux Mint 14 they are 'centered'.

Following [1] I mark this bug as 'medium' 'normal' because this does prevent you making high quality work; but doesn't resolve in data loss/crash/freeze etc. Also it is not impossible to open the whole doc, just a loss of formatting.

I change also component to 'filters'

[1] = https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg
Comment 6 Jorendc 2013-01-27 13:39:41 UTC
Created attachment 73730 [details]
pdf created with LO4.0rc2 using Linux mint 14 x64
Comment 7 QA Administrators 2015-04-19 03:22:05 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2015-06-17 11:47:44 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 80ec99db4325a439a8a3f1d420d0a80f8bf9c439
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-16_00:00:20
Locale: fi-FI (fi_FI)
Comment 9 QA Administrators 2016-09-20 10:00:50 UTC Comment hidden (obsolete)
Comment 10 Justin L 2017-09-06 01:48:21 UTC
This bug seems to primarily be related to tabstops.  Remove one of the (hidden) tabs from those lines that stack the y above the 160 to get it to look like the dot-leader shown in Word.
Comment 11 QA Administrators 2018-09-07 02:44:07 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug